package com.house365.ws.interfaces.rest;

import com.house365.rest.context.IService;
import com.house365.rest.context.Parameter;
import com.house365.rest.exception.ServiceRunException;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/2/4</p>
 *
 * @author XN
 * @version 1.0
 */
public interface ICustomerWechat extends IService {

    Object getLabelByPhone(Parameter parameter) throws ServiceRunException;

    Object saveCustomerLabel(Parameter parameter) throws ServiceRunException;

    Object getCustomerLabel(Parameter parameter) throws ServiceRunException;

    Object getMyCustomers(Parameter parameter) throws ServiceRunException;

    Object getHotLineCustomers(Parameter parameter) throws ServiceRunException;

    Object getCustomerInOcean(Parameter parameter) throws ServiceRunException;

    Object getCustomerOceanSummary(Parameter parameter) throws ServiceRunException;

    Object bindManager(Parameter parameter) throws ServiceRunException;

    Object getAssignProjects(Parameter parameter) throws ServiceRunException;

    Object bindToProjects(Parameter parameter) throws ServiceRunException;

    Object getUserInfo(Parameter parameter);

    Object getCustomerInfo(Parameter parameter) throws ServiceRunException;

    Object addCall(Parameter parameter) throws ServiceRunException;

    Object saveUserInfo(Parameter parameter) throws ServiceRunException;

    Object myCustomerIndex(Parameter parameter) throws ServiceRunException;

    //我的客户首页数据-置业顾问视图
    Object myCustomerUserIndex(Parameter parameter) throws ServiceRunException;

    String noticeList(Parameter parameter);

    String noticeDetail(Parameter parameter);

    //我的客户列表
    Object getMyCustomerList(Parameter parameter) throws ServiceRunException;

    //我的客户列表
    Object getMyWaitCallCustomerList(Parameter parameter) throws ServiceRunException;

    Object abandonCustomer(Parameter parameter) throws ServiceRunException;

    Object starToggle(Parameter parameter) throws ServiceRunException;

    Object addCustomer(Parameter parameter) throws ServiceRunException;

    Object addSalesReport(Parameter parameter) throws ServiceRunException;

    Object getSalesReport(Parameter parameter) throws ServiceRunException;

    Object getCustomerSources(Parameter parameter) throws ServiceRunException;

    Object getManagers(Parameter parameter) throws ServiceRunException;

    Object getHotLineCount(Parameter parameter) throws ServiceRunException;

    Object modifyCustomerInfo(Parameter parameter) throws ServiceRunException;

    Object addBaseAttachment(Parameter parameter) throws ServiceRunException;

    Object savePicInfo2Attachment(Parameter parameter) throws ServiceRunException;

    Object deleteAttachments(Parameter parameter) throws ServiceRunException;

    Object getUserRoles(Parameter parameter) throws ServiceRunException;

    Object getUserFunctionRoles(Parameter parameter) throws ServiceRunException;

    Object deleteHotLineCustomer(Parameter parameter) throws ServiceRunException;

    Object checkCustomerPhone(Parameter parameter) throws ServiceRunException;

    Object abandonHotlineCustomer(Parameter parameter) throws ServiceRunException;

    Object checkCustomerPhoneByCustomerIds(Parameter parameter) throws ServiceRunException;

    Object deleteFormOcean(Parameter parameter) throws ServiceRunException;

    Object rushCustomerList(Parameter parameter) throws ServiceRunException;

    Object rushCustomer(Parameter parameter) throws ServiceRunException;

    Object addEvaluateLog(Parameter parameter) throws ServiceRunException;

    // 获取回访内容模板
    Object getCustomerCallbackTemplateList(Parameter parameter) throws ServiceRunException;
}
